DCMTK - Patch #508

Patch fur Parallel Make von Tilman Vogel
2013-03-05 09:48 - Marco Eichelberg

Status: Closed Start date: 2013-03-05
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Configuration Estimated time: 0:00 hour
Target version: 3.6.2

Module: Compiler:

Operating System:

Description

der Build von decmtk bekommt bislang bei Verwendung von parallelem make
(z.B. make -j8) Probleme mit den Abhangigkeiten der einzelnen Module und
Subtargets (libsrc/apps/tests).

Anbei finden Sie einen Patch, mit dem (zumindest hier) der parallele
Build erfolgreich durchlauft und den Sie gerne Gbernehmen kénnen.

Das top-level make wird damit auch bei "-jX" seriell abgearbeitet. Die
einzelnen Module kompilieren dann aber parallel. Damit das funktioniert
musste ich nur an einigen Stellen fur "tests-all" noch die Abhangigkeit
"libsrc-all" hinzufigen.

Michael Onken schreibt: Einzige Frage: Wie sieht's mit dem target ".NOTPARALLEL" aus, wissen Sie
seit wann das verfiigbar ist? Nicht dass eine altere GNU make-Version

darlber stolpert und dann gar nicht baut. Auf die Schnelle habe ich

nichts gefunden dazu.

Ich habe dazu auch nichts gefunden, gehe aber davon aus, dass alte
make's oder nicht-GNU makes das einfach als ein irrelevantes leeres und
unbenutztes Target auffassen. Insofern halte ich das Risiko fur eher gering.

History

#1 - 2013-03-05 09:48 - Marco Eichelberg

- Tracker changed from Bug to Patch

#2 - 2013-03-08 18:54 - J6rg Riesmeier
- Category set to Configuration
- Assignee set to Uli Schlachter

- Target version set to 3.6.2

#3 - 2013-03-11 11:21 - Uli Schlachter
- Status changed from New to Feedback
- Assignee deleted (Uli Schlachter)

- % Done changed from 0 to 90

| tested this with BSD Make from FreeBSD 9.0 (supports .NOTPARALLEL) and make from SunOS 5.9 (doesn't support parallel builds, silently ignores
the unknown target, man page says this is from 1999, wow). So this change seems safe. (Side note: Neither of these two understands "--version",
"_help", "-v", "-h" nor "-?")

Patch applied to public git in commit 371d39ac12b64bdbf2f8786bd0a91f724f3681ba and to private git in
fde9cbb40c6e876bad140f7fcf55b94f3ad04574.

The changes to the various module Makefiles were already done in 2011 (commit 7a2369e428844302038203d38f9¢c129f8e40bd06).
Should a mail to Tilman be written? | don't have a mail to reply to, so it would be nice if someone else did this.

#4 - 2013-03-13 08:24 - Uli Schlachter
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

Mail was sent
